Subject: Re: Performance impact of a large number of commits

From: Samuel Abels <[email-masked]>
Date: Fri, 24 Oct 2008 21:56:42 +0200

On Fri, 2008-10-24 at 12:43 -0700, [email-masked] wrote:
> 100,000 commits per day??
> 
> that's 1.5 commits/second. what is updating files that quickly?

This is an automated process taking snapshots of rapidly changing files
containing statistical data. Unfortunately, our needs go beyond what a
versioning file system has to offer, and the data is an unstructured
text file (in other words, using a relational database is not a good
option).

> I suspect that you will have some issues here, but it's going to depend on 
> how many files get updated each 3/4 of a second.

That would be 5 to 10 changed files per commit, and those are passed to
git commit explicitly (i.e., walking the tree to stat files for finding
changes is not necessary).

-Samuel